singleton Material(kerek_mtl)
{
   mapTo = "kerek_mtl";
   diffuseMap[0] = "kerek_map_BUMP_COLOR.png";
   specularMap[0] = "kerek_map3_SPEC.png";
   normalMap[0] = "kerek_map_BUMP_NRM.png";
   diffuseColor[0] = "1 1 1 1.0";
   specularPower[0] = "50";
   specularStrength[0] = "0.5";
   useAnisotropic[0] = "1";
   pixelSpecular[0] = "1";
   castShadows = "1";
   translucent = "0";
   alphaTest = "1";
   alphaRef = "0";
};

singleton Material(kerekagy_mtl)
{
   mapTo = "kerekagy_mtl";
   diffuseMap[0] = "kerekagy_map_BUMP_COLOR.png";
   specularMap[0] = "kerekagy_map_SPEC2.png";
   normalMap[0] = "kerekagy_map_BUMP_NRM.png";
   diffuseColor[0] = "1 1 1 1.0";
   specularPower[0] = "15";
   specularStrength[0] = "0.5";
   useAnisotropic[0] = "1";
   castShadows = "1";
   translucent = "0";
   alphaTest = "0";
   alphaRef = "0";
};

singleton Material(hull_mtlx)
{
	mapTo = "hull_mtlx";
	diffuseMap[0] = "at-te_main02_COLOR.png";
	diffuseMap[2] = "at-te_PAINT.png";
	specularMap[0] = "at-te_spec2.png";
	normalMap[0] = "at-te_main_bump_NRM.png";
	diffuseColor[0] = "1 1 1 1.0";
	specularPower[0] = "40";
	specularStrength[0] = "0.3";
	useAnisotropic[0] = "1";
	pixelSpecular[0] = "1";
	castShadows = "1";
	translucent = "0";
	alphaTest = "0";
	alphaRef = "0";
};

singleton Material(hull_mtl)
{
   mapTo = "hull_mtl";
   diffuseMap[2] = "at-te_PAINT.png";
   specularMap[2] = "at-te_spec2.png";
   normalMap[2] = "at-te_main_bump_NRM.png";
   diffuseMap[1] = "at-te_main02_COLOR.png";
   specularMap[1] = "at-te_spec2.png";
   normalMap[1] = "at-te_main_bump_NRM.png";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "at-te_main_bump_NRM.png";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "40";
   specularStrength[1] = "0.3";
   pixelSpecular[1] = "1";
   specularPower[2] = "40";
   specularStrength[2] = "0.3";
   pixelSpecular[2] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   diffuseColor[2] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   instanceDiffuse[2] = true;
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(susp_mtl)
{
   mapTo = "susp_mtl";
   diffuseMap[0] = "susp_map2_COLOR.png";
   specularMap[0] = "susp_map_BUMP_SPEC2.png";
   normalMap[0] = "susp_map_BUMP_NRM.png";
   diffuseColor[0] = "1 1 1 1.0";
   specularPower[0] = "15";
   specularStrength[0] = "0.5";
   useAnisotropic[0] = "1";
   castShadows = "1";
   translucent = "0";
   alphaTest = "0";
   alphaRef = "0";
};

singleton Material(interior_mtl)
{
   mapTo = "interior_mtl";
   diffuseMap[0] = "interior2.png";
   specularMap[0] = "interior_spec.png";
   normalMap[0] = "interior_bump_NRM2.png";
   diffuseMap[1] = "interior_LIGHT.png";
   diffuseColor[0] = "1 1 1 1.0";
   specularPower[0] = "15";
   specularStrength[0] = "0.5";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "0";
   alphaTest = "0";
   alphaRef = "0";
   emissive[1] = "1";
};

singleton Material(glass_mtl)
{
   mapTo = "glass_mtl";
   diffuseMap[0] = "glass_d.png";
   specularMap[0] = "glass_spec.png";
   diffuseMap[1] = "glass_d.png";
   specularMap[1] = "glass_spec.png";
   specularPower[0] = "128";
   pixelSpecular[0] = "1";
   specularPower[1] = "128";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "0";
   translucent = "1";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(glass_mtl_dmg)
{
   mapTo = "glass_mtl_dmg";
   diffuseMap[0] = "glass_dmg.png";
   specularMap[0] = "glass_dmg_spec2.png";
   normalMap[0] = "glass_dmg_normal2.png";
   specularPower[0] = "32";
   diffuseColor[0] = "1.5 1.5 1.5 1";
   useAnisotropic[0] = "1";
   castShadows = "0";
   translucent = "1";
   alphaTest = "1";
   alphaRef = "0";
   //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(atl_on_narancs)
{
   mapTo = "atl_on_narancs";
   diffuseMap[0] = "vehicles/common/null.dds";
   diffuseMap[2] = "vehicles/common/null.dds";
   diffuseColor[0] = "1 0.6 0 1.0";
   diffuseColor[1] = "1 0.6 0 1.0";
   diffuseColor[2] = "1 0.6 0 0.3";
   castShadows = "0";
   translucent = "0";
   glow[2] = "1";
   emissive[2] = "1";
   
	specularPower[0] = "16";
	pixelSpecular[0] = "1";
	specularPower[1] = "16";
	pixelSpecular[1] = "1";
	cubemap = "BNG_Sky_02_cubemap";
};

singleton Material(atl_on_kek)
{
	mapTo = "atl_on_kek";
	diffuseMap[0] = "vehicles/common/null.dds";
	diffuseMap[2] = "vehicles/common/null.dds";
	diffuseColor[0] = "0 0.3 1 1.0";
	diffuseColor[1] = "0 0.3 1 1.0";
	diffuseColor[2] = "0 0.7 3 0.2";
	castShadows = "0";
	translucent = "0";
	glow[2] = "1";
	emissive[2] = "1";
	
	specularPower[0] = "16";
	pixelSpecular[0] = "1";
	specularPower[1] = "16";
	pixelSpecular[1] = "1";
	cubemap = "BNG_Sky_02_cubemap";
};

singleton Material(atl_on_piros)
{
   mapTo = "atl_on_piros";
   diffuseMap[0] = "vehicles/common/null.dds";
   diffuseMap[2] = "vehicles/common/null.dds";
   diffuseColor[0] = "1 0.1 0 1.0";
   diffuseColor[1] = "1 0.1 0 1.0";
   diffuseColor[2] = "2 0.2 0 0.3";
   castShadows = "0";
   translucent = "0";
   glow[2] = "1";
   emissive[2] = "1";
   
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   cubemap = "BNG_Sky_02_cubemap";
};

singleton Material(atl_on_feher)
{
   mapTo = "atl_on_feher";
   diffuseMap[0] = "vehicles/common/null.dds";
   diffuseMap[2] = "vehicles/common/null.dds";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1.5 1.5 1.5 1";
   diffuseColor[2] = "1.5 1.5 1.5 0.30";
   castShadows = "0";
   translucent = "0";
   glow[2] = "1";
   emissive[2] = "1";
   
	specularPower[0] = "16";
	pixelSpecular[0] = "1";
	specularPower[1] = "16";
	pixelSpecular[1] = "1";
	cubemap = "BNG_Sky_02_cubemap";
};

singleton Material(atl_indexjobb)
{
   mapTo = "atl_indexjobb";
};

singleton Material(atl_indexbal)
{
   mapTo = "atl_indexbal";
};

singleton Material(atl_nav_orange)
{
   mapTo = "atl_nav_orange";
};

singleton Material(atl_nav_blue)
{
   mapTo = "atl_nav_blue";
};

singleton Material(atl_normal)
{
   mapTo = "atl_normal";
};

singleton Material(atl_reflektor)
{
   mapTo = "atl_reflektor";
};

singleton Material(atl_fek)
{
   mapTo = "atl_fek";
};

singleton Material(atl_hatso)
{
   mapTo = "atl_hatso";
};

singleton Material(atl_tolato)
{
   mapTo = "atl_tolato";
};

singleton SFXProfile(ATTEEngine)
{
   fileName = "vehicles/PLE_AT-TE/AT-TE_enginesound.ogg";
   description = "AudioDefaultLoop3D";
};